import type { TextlintMessageFixCommand, TextlintRuleContextReportFunctionArgs, TextlintRuleError, TextlintSourceCode } from "@textlint/types";
export interface ReportMessage {
    ruleId: string;
    node: any;
    severity: number;
    ruleError: TextlintRuleError;
}
export default class SourceLocation {
    private source;
    constructor(source: TextlintSourceCode);
    /**
     * adjust node's location with error's padding location.
     */
    adjust(reportArgs: TextlintRuleContextReportFunctionArgs): {
        line: number;
        column: number;
        fix?: TextlintMessageFixCommand;
    };
    private toAbsoluteLocation;
    /**
     * Adjust `fix` command range
     * if `fix.isAbsolute` is not absolute position, adjust the position from the `node`.
     */
    private toAbsolutePositionFix;
}
