"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterDuplicateDescriptor = void 0;
/**
 * Remove duplicated descriptor
 * For example, A1 equals to A2
 * [A1, B, A2]
 * => filter
 * [A1, B]
 */
const filterDuplicateDescriptor = (descriptors) => {
    const newDescriptorList = [];
    descriptors.forEach((descriptor) => {
        const existsDescriptor = newDescriptorList.some((existDescriptor) => {
            return existDescriptor.equals(descriptor);
        });
        if (!existsDescriptor) {
            newDescriptorList.push(descriptor);
        }
    });
    return newDescriptorList;
};
exports.filterDuplicateDescriptor = filterDuplicateDescriptor;
//# sourceMappingURL=DescriptorUtil.js.map