// LICENSE : MIT
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTextlintPluginDescriptors = exports.createTextlintFilterRuleDescriptors = exports.createTextlintRuleDescriptors = void 0;
const TextlintFilterRuleDescriptor_1 = require("./TextlintFilterRuleDescriptor");
const TextlintFilterRuleDescriptors_1 = require("./TextlintFilterRuleDescriptors");
const TextlintRuleDescriptors_1 = require("./TextlintRuleDescriptors");
const TextlintLintableRuleDescriptor_1 = require("./TextlintLintableRuleDescriptor");
const TextlintPluginDescriptors_1 = require("./TextlintPluginDescriptors");
const TextlintPluginDescriptor_1 = require("./TextlintPluginDescriptor");
const rule_creator_helper_1 = require("./rule-creator-helper");
const TextlintFixableRuleDescriptor_1 = require("./TextlintFixableRuleDescriptor");
const createTextlintRuleDescriptors = (rules) => {
    const ruleOrFixableRuleDescriptorList = rules.map((rule) => {
        if (rule_creator_helper_1.hasFixer(rule.rule)) {
            return new TextlintFixableRuleDescriptor_1.TextlintFixableRuleDescriptor(rule);
        }
        else {
            return new TextlintLintableRuleDescriptor_1.TextlintLintableRuleDescriptor(rule);
        }
    });
    return new TextlintRuleDescriptors_1.TextlintRuleDescriptors(ruleOrFixableRuleDescriptorList);
};
exports.createTextlintRuleDescriptors = createTextlintRuleDescriptors;
const createTextlintFilterRuleDescriptors = (rules) => {
    return new TextlintFilterRuleDescriptors_1.TextlintFilterRuleDescriptors(rules.map((rule) => new TextlintFilterRuleDescriptor_1.TextlintFilterRuleDescriptor(rule)));
};
exports.createTextlintFilterRuleDescriptors = createTextlintFilterRuleDescriptors;
const createTextlintPluginDescriptors = (rules) => {
    return new TextlintPluginDescriptors_1.TextlintPluginDescriptors(rules.map((rule) => new TextlintPluginDescriptor_1.TextlintPluginDescriptor(rule)));
};
exports.createTextlintPluginDescriptors = createTextlintPluginDescriptors;
//# sourceMappingURL=DescriptorsFactory.js.map