// LICENSE : MIT
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextlintFixableRuleDescriptor = void 0;
const rule_creator_helper_1 = require("./rule-creator-helper");
const TextlintLintableRuleDescriptor_1 = require("./TextlintLintableRuleDescriptor");
/**
 * Textlint Fixable Rule Descriptor.
 * It is inherit **Rule** Descriptor and add fixer() method.
 * It handle RuleCreator and RuleOption.
 */
class TextlintFixableRuleDescriptor extends TextlintLintableRuleDescriptor_1.TextlintLintableRuleDescriptor {
    /**
     * Return fixer function
     * You should check hasFixer before call this.
     */
    get fixer() {
        return rule_creator_helper_1.getFixer(this.rule);
    }
}
exports.TextlintFixableRuleDescriptor = TextlintFixableRuleDescriptor;
//# sourceMappingURL=TextlintFixableRuleDescriptor.js.map