// LICENSE : MIT
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @param {TextlintMessage} aMessage
 * @param {TextlintMessage} bMessage
 */
const isEqualMessage = (aMessage, bMessage) => {
    return (aMessage.index === bMessage.index &&
        aMessage.severity === bMessage.severity &&
        aMessage.message === bMessage.message);
};
/**
 * filter duplicated messages
 * @param {TextlintMessage[]} messages
 * @returns {TextlintMessage[]} filtered messages
 */
function filterDuplicatedMessages(messages = []) {
    return messages.filter((message, index) => {
        const restMessages = messages.slice(index + 1);
        return !restMessages.some((restMessage) => {
            return isEqualMessage(message, restMessage);
        });
    });
}
exports.default = filterDuplicatedMessages;
//# sourceMappingURL=filter-duplicated-process.js.map