// LICENSE : MIT
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const textlint_core_task_1 = __importDefault(require("./textlint-core-task"));
class TaskRunner {
    /**
     * Task and return promise
     * @param {TextLintCoreTask} task
     * @returns {Promise}
     */
    static process(task) {
        return new Promise((resolve, reject) => {
            const messages = [];
            task.on(textlint_core_task_1.default.events.message, (message) => {
                messages.push(message);
            });
            task.on(textlint_core_task_1.default.events.error, (error) => {
                reject(error);
            });
            task.on(textlint_core_task_1.default.events.complete, () => {
                task.removeAllListeners();
                resolve(messages);
            });
            task.start();
        });
    }
}
exports.default = TaskRunner;
//# sourceMappingURL=task-runner.js.map