import type { TextlintFilterRuleOptions, TextlintFilterRuleReporter, TextlintPluginCreator, TextlintPluginOptions, TextlintRuleModule, TextlintRuleOptions } from "@textlint/types";
export interface TextlintKernelConstructorOptions {
    /**
     * Suppress messages of severity:warning and severity:info
     */
    quiet?: boolean;
}
export interface TextlintConfigObject {
    rulePaths?: string[];
    extensions?: string[];
    formatterName?: string;
    plugins?: string[];
    rulesBaseDirectory?: string;
    configFile?: string;
    disabledRules?: string[];
    presets?: string[];
    rulesConfig?: Object;
    /**
     * quite options
     */
    quiet?: boolean;
}
export interface TextlintKernelPlugin {
    pluginId: string;
    plugin: TextlintPluginCreator;
    options?: TextlintPluginOptions | boolean;
}
export interface TextlintKernelRule {
    ruleId: string;
    rule: TextlintRuleModule;
    options?: TextlintRuleOptions | boolean;
}
export interface TextlintKernelFilterRule {
    ruleId: string;
    rule: TextlintFilterRuleReporter;
    options?: TextlintFilterRuleOptions | boolean;
}
export interface TextlintKernelOptions {
    ext: string;
    filePath?: string;
    plugins?: TextlintKernelPlugin[];
    rules?: TextlintKernelRule[];
    filterRules?: TextlintKernelFilterRule[];
    configBaseDir?: string;
}
