import type { TextlintRuleContextFixCommand, TextlintRuleErrorPadding, TextlintRuleError } from "@textlint/types";
export declare class TextlintRuleErrorImpl implements TextlintRuleError {
    message: string;
    line?: number;
    column?: number;
    index?: number;
    fix?: TextlintRuleContextFixCommand;
    /**
     * RuleError is like Error object.
     * It's used for adding to TextlintResult.
     * @param message error message should start with lowercase letter
     * @param [paddingLocation] - the object has padding {line, column} for actual error reason
     * @constructor
     */
    constructor(message: string, paddingLocation?: number | TextlintRuleErrorPadding);
    toString(): string;
}
