/**
 * Remove duplicated descriptor
 * For example, A1 equals to A2
 * [A1, B, A2]
 * => filter
 * [A1, B]
 */
export const filterDuplicateDescriptor = (descriptors) => {
    const newDescriptorList = [];
    descriptors.forEach((descriptor) => {
        const existsDescriptor = newDescriptorList.some((existDescriptor) => {
            return existDescriptor.equals(descriptor);
        });
        if (!existsDescriptor) {
            newDescriptorList.push(descriptor);
        }
    });
    return newDescriptorList;
};
//# sourceMappingURL=DescriptorUtil.js.map