import { TextlintKernelPlugin } from "../textlint-kernel-interface";
import { Descriptor } from "./Descriptor";
import type { TextlintPluginOptions, TextlintPluginProcessor } from "@textlint/types";
/**
 * Textlint Plugin Descriptor
 */
export declare class TextlintPluginDescriptor implements Descriptor<TextlintKernelPlugin> {
    private plugin;
    processor: TextlintPluginProcessor;
    constructor(plugin: TextlintKernelPlugin);
    get id(): string;
    /**
     * Return true if this rule is enabled.
     */
    get enabled(): boolean;
    /**
     * Return available extension of this plugin
     */
    get availableExtensions(): string[];
    get normalizedOptions(): TextlintPluginOptions;
    get rawOptions(): boolean | TextlintPluginOptions | undefined;
    toKernel(): TextlintKernelPlugin;
    equals(target: this): boolean;
}
