import { TextlintKernelPlugin } from "../textlint-kernel-interface";
import { TextlintPluginDescriptor } from "./TextlintPluginDescriptor";
/**
 * Collection class of TextlintPluginDescriptor
 */
export declare class TextlintPluginDescriptors {
    private pluginDescriptorList;
    constructor(pluginDescriptorList?: TextlintPluginDescriptor[]);
    /**
     * Return enabled descriptors
     */
    get descriptors(): TextlintPluginDescriptor[];
    /**
     * Return all descriptors that include disabled descriptors
     */
    get allDescriptors(): TextlintPluginDescriptor[];
    /**
     * Return available extensions
     * It is not includes disabled plugin's extensions.
     */
    get availableExtensions(): string[];
    /**
     * find PluginDescriptor with extension.
     * This is forward match.
     */
    findPluginDescriptorWithExt(ext: string): TextlintPluginDescriptor | undefined;
    /**
     * filter duplicated descriptors
     */
    withoutDuplicated(): TextlintPluginDescriptors;
    /**
     * Convert this to TextlintKernel rules format
     * @returns {Array}
     */
    toKernelPluginsFormat(): TextlintKernelPlugin[];
}
