import CoreTask from "./textlint-core-task";
import { TextlintKernelConstructorOptions } from "../textlint-kernel-interface";
import { TextlintFilterRuleDescriptors, TextlintFixableRuleDescriptor } from "../descriptor";
import type { TextlintSourceCode } from "@textlint/types";
export interface TextLintCoreTaskArgs {
    config: TextlintKernelConstructorOptions;
    fixableRuleDescriptor: TextlintFixableRuleDescriptor;
    filterRuleDescriptors: TextlintFilterRuleDescriptors;
    sourceCode: TextlintSourceCode;
    configBaseDir?: string;
}
export default class TextLintCoreTask extends CoreTask {
    config: TextlintKernelConstructorOptions;
    fixableRuleDescriptor: TextlintFixableRuleDescriptor;
    filterRuleDescriptors: TextlintFilterRuleDescriptors;
    sourceCode: TextlintSourceCode;
    configBaseDir?: string;
    constructor({ config, configBaseDir, fixableRuleDescriptor, filterRuleDescriptors, sourceCode }: TextLintCoreTaskArgs);
    start(): void;
    private _setupRules;
}
